<?xml version="1.0" encoding="UTF-8"?>
<!-- Declare as many tiers as you like with a unique name and its corresponding cgi.http_host urls 
	You can also override the following elements:
	- MailServerSettings, IOC,Models,i18n,WebServices,Datasources,DebuggerSettings,LogBox,Interceptors
	-->
<environmentcontrol>
	<environment name="development" urls="192.168.1.9:8083">
		<Setting name="DebugMode" value="true"/>
		<Setting name="DebugPassword" value=""/>
		<Setting name="ReinitPassword" value=""/>
		<Setting name="HandlersIndexAutoReload" value="true"/>
		<Setting name="ConfigAutoReload" value="true"/>
		<Setting name="ColdBoxSideBar" value="true" />
		
		<Setting name="HandlerCaching" value="false"/>
		<Setting name="EventCaching" value="false"/>
		<Setting name="ProxyReturnCollection" value="false"/>
		
		<Setting name="ExceptionHandler" value=""/>
		<Setting name="onInvalidEvent" value=""/>
		<Setting name="CustomErrorTemplate" value="" />
		
		<Datasources>
			<Datasource alias="site" name="site" dbtype="mssql" />
			<Datasource alias="site2" name="site2" dbtype="mssql" />
		</Datasources>
		
		<LogBox>
			<Appender name="coldboxTracer" class="coldbox.system.logging.appenders.ColdboxTracerAppender" />
			<!-- Log to ColdBox File -->
			<Appender name="fileLog" class="coldbox.system.logging.appenders.AsyncRollingFileAppender">
				<Property name="filePath">logs</Property>
				<Property name="fileName">${AppName}</Property>
			</Appender>
			<!-- Root Logger Definition -->
			<Root levelMin="FATAL" levelMax="INFO" appenders="*" />
		</LogBox>
		
		<DebuggerSettings>
			<EnableDumpVar>true</EnableDumpVar>
			<PersistentRequestProfiler>true</PersistentRequestProfiler>
			<maxPersistentRequestProfilers>10</maxPersistentRequestProfilers>
			<maxRCPanelQueryRows>50</maxRCPanelQueryRows>

			<TracerPanel show="true" expanded="true" />
			<InfoPanel show="true" expanded="false" />
			<CachePanel show="true" expanded="false" />
			<RCPanel show="true" expanded="false" />
		</DebuggerSettings>
		
		<BugTracerReports enabled="false">
			<MailFrom></MailFrom>
			<CustomEmailBugReport></CustomEmailBugReport>
			<BugEmail></BugEmail>
		</BugTracerReports>
	</environment>
</environmentcontrol>